import { InputOptions, OutputOptions, ModuleFormat } from 'rollup';

declare type Target = 'esnext' | 'es6' | 'es2015' | 'es2016' | 'es2017' | 'es2018' | 'es2019' | 'es2020';

declare type Options = {
    bundle?: boolean;
    dts?: boolean;
    target?: Target;
    watch?: boolean;
    minify?: boolean;
    jsxFactory?: string;
    jsxFragment?: string;
    outDir: string;
    format: ModuleFormat;
    moduleName?: string;
    define?: {
        [k: string]: string;
    };
    /** Don't bundle these packages */
    external?: string[];
    inlineDynamicImports?: boolean;
};
declare function createRollupConfigs(files: string[], options: Options): Promise<{
    name: string;
    inputConfig: InputOptions;
    outputConfig: OutputOptions;
}[]>;
declare function printSizes(): void;

export { createRollupConfigs, printSizes };
